Bug 1569134 - liferea outputs an error message when enabling the 'plugin installer' plugin
Summary: liferea outputs an error message when enabling the 'plugin installer' plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liferea
Version: 27
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 16:33 UTC by Robert
Modified: 2018-05-19 21:34 UTC (History)
6 users (show)

Fixed In Version: liferea-1.12.3-1.fc28 liferea-1.12.3-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-19 21:23:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Robert 2018-04-18 16:33:49 UTC
Description of problem:
Attempting to enable the 'plugin installer' plugin prints the following message:

(liferea:18696): libpeas-WARNING **: Failed to load module 'python3loader': /usr/lib64/libpeas-1.0/loaders/libpython3loader.so: cannot open shared object file: No such file or directory

(liferea:18696): libpeas-WARNING **: Could not load plugin loader 'python3'

Version-Release number of selected component (if applicable):
liferea-1.12.2-1.fc27.x86_64

How reproducible:
100%

Steps to Reproduce:
0. launch liferea from a terminal so you can see the debug output, I used "--debug-all" too.
1. Menu "Tools" -> "Preferences"
2. "Plugins" side-tab.
3. Click the checkbox next to 'plugin installer'.

Actual results:
Checkbox is replaced with a red error symbol.

Expected results:
The plugin-of-plugins should be enabled.

Additional info:
probably fc28 & rawhide too, but I only tested fc27

Comment 1 Emmanuel Seyman 2018-04-18 16:37:47 UTC
JFTR, /usr/lib64/libpeas-1.0/loaders/libpython3loader.so is packaged in the libpeas-loader-python3 rpm.

Comment 2 Fedora Update System 2018-05-10 08:50:56 UTC
liferea-1.12.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-056934f7bb

Comment 3 Fedora Update System 2018-05-10 08:51:07 UTC
liferea-1.12.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ebb51ef5a

Comment 4 Fedora Update System 2018-05-10 20:01:22 UTC
liferea-1.12.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-056934f7bb

Comment 5 Fedora Update System 2018-05-11 01:59:40 UTC
liferea-1.12.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ebb51ef5a

Comment 6 Fedora Update System 2018-05-19 21:23:59 UTC
liferea-1.12.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-05-19 21:34:29 UTC
liferea-1.12.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.